require "import"
import "android.widget.*"
import "android.content.Intent"
import "android.net.Uri"
import "com.androlua.*"

service.asyncSpeak("Interfaz de Cinéfilos Latino")

-- Texto a mostrar en la interfaz
mensaje = [[
¡Únete a Cinéfilos Latino!

¿Eres un amante del Séptimo Arte? ¿Te gustaría disfrutar de películas, series y documentales en audiodescripción?

¡Entonces este es el grupo perfecto para ti!

En Cinéfilos Latino, compartimos contenido en audiodescripción, para que puedas disfrutar de tus películas y series favoritas de manera accesible.

Nuestro grupo, donde ya somos más de novecientas personas, cuenta con una carpeta exclusiva en Google Drive, donde podrás acceder a material único y exclusivo para nuestros miembros.

*Y lo mejor de todo, no tiene ningún costo adicional*, solo necesitas ser miembro del grupo Cinéfilos Latino para tener acceso a esta carpeta exclusiva.
Si te gusta disfrutar del séptimo arte en audiodescripción, este es el grupo indicado.

¡Únete a nosotros y descubre un mundo de entretenimiento accesible y divertido!

¿Qué esperas? ¡Únete ahora y comienza a disfrutar de lo mejor del cine y la televisión en audiodescripción!
]]

-- Enlace del grupo de preingreso en WhatsApp
grupo_whatsapp = "https://chat.whatsapp.com/H5x88hc1uCxFo1McJiqnpn"

-- Crear el layout principal
layout = {
    LinearLayout,
    orientation="vertical",
    layout_width="fill",
    layout_height="fill",
    padding="16dp",
    {
        ScrollView, -- Permite desplazamiento si el texto es largo
        layout_width="fill",
        layout_height="0",
        layout_weight=1,
        {
            TextView,
            id="texto",
            text=mensaje,
            layout_width="fill",
            layout_height="wrap",
            textSize="16sp",
            padding="8dp"
        }
    },
    {
        Button,
        text="¡Únete ahora!",
        layout_width="fill",
        layout_height="wrap",
        onClick=function()
            dlg.hide() -- Cierra la interfaz gráfica
            intent = Intent(Intent.ACTION_VIEW)
            intent.setData(Uri.parse(grupo_whatsapp))
            intent.setPackage("com.whatsapp")
            pcall(function() service.startActivity(intent) end) -- Manejar posibles errores si WhatsApp no está instalado
        end
    }
}

-- Crear y mostrar el diálogo
dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
dlg.setButton("Cerrar", nil)
dlg.show()